Ask or search…
K

Jenkins

How to integrate Trunk CI Analytics with Jenkins CI/CD

Compatibility

The minimum supported version for Jenkins is 2.387.3. If you need support for older versions, please contact our community slack at slack.trunk.io or support at [email protected].
The Trunk Plugin for Jenkins requires the GitHub plugin. Installing the Trunk Plugin will install the GitHub plugin.

Install the Jenkins Plugin

Configure the Jenkins plugin

Copy your API Token

Configure a Secret for Jenkins

Upload Data

If for any reason you don't see your pipeline runs in the Trunk app after 3 minutes. Please contact our support at https://slack.trunk.io.

Troubleshooting

The Trunk Plugin for Jenkins will also log errors to the Jenkins System Log. You can find these by navigating to Manage Jenkins > System Log. If you need additional help debugging, please contact our community slack at slack.trunk.io or support at [email protected].
Last modified 1mo ago